Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 5 Mar 2016 12:26:42 +0100
From:      =?UTF-8?Q?Bernhard_Fr=C3=B6hlich?= <decke@bluelife.at>
To:        Michael <ma.zoon@quicknet.nl>
Cc:        freebsd-ports-bugs@freebsd.org,  "ports@freebsd.org Ports" <ports@freebsd.org>, jkim@freebsd.org, vbox@freebsd.org
Subject:   Re: FreeBSD Port: phpvirtualbox-4.3.2 & virtualbox-ose-4.3.36
Message-ID:  <CAE-m3X2=2iDDmo9XM715PhbMcxTyix5iFa4Jt5xXN5ZUfbnSvw@mail.gmail.com>
In-Reply-To: <000001d17672$14412ce0$3cc386a0$@quicknet.nl>
References:  <000001d17672$14412ce0$3cc386a0$@quicknet.nl>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Am 05.03.2016 1:01 vorm. schrieb "Michael" <ma.zoon@quicknet.nl>:
>
> Hi all,
>
>
>
> I write this as I like to request a major upgrade for virtualbox related
> ports on freebsd.
>
>
>
> Currently I face problems using the current ports with php70 port
compiled.
>
> I don't want to go back to port php56.
>
>
>
> Those problems can easy be fixed when phpvirtualbox-4.3.2 gets an upgrade
to
> phpvirtualbox-5.0-5
>
> as it now support php7 out of the box.
>
> Please have a look:
> https://github.com/imoore76/phpvirtualbox/blob/develop/CHANGELOG.txt
> Changelog.
>
> But before upgrading, the new Virtualbox version must be upgraded also see
> https://www.virtualbox.org/wiki/Downloads
>
>
>
> Please can those ports be upgraded by someone for support of systems
running
> PHP 7?
>
>
>
> Category www
>
> --------------------
>
>
>
> phpvirtualbox-4.3.2 needs an upgrade for support of php 7 and
> phpvirtualbox-5.0-5
>
>
>
>
>
> Category emulators
>
> --------------------------
>
>
>
> virtualbox-ose-4.3.36 needs an upgrade for support of php 7 and
> phpvirtualbox-5.0-5
>
>
>
> virtualbox-ose-additions-4.3.36  needs an upgrade for support of php 7 and
> phpvirtualbox-5.0-5
>
>
>
> virtualbox-ose-kmod-4.3.36  needs an upgrade for support of php 7 and
> phpvirtualbox-5.0-5
>
>
>
>
>
>
>
> Thank you for all the work!
>
>
>
> With best regards,
>
> Michael

Hi Michael,

we know that we need to update vbox to 5.x but the sad truth is that we do
not have a reasonable stable version of it. The port builds but the kernel
module doesn't work properly so instead of breaking vbox for all people we
will just stay at the last stable version that we have. phpvirtualbox is
not backwards compatible so you have two options:

1) help on vbox 5.x port
2) create a phpvirtualbox patch for php7



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAE-m3X2=2iDDmo9XM715PhbMcxTyix5iFa4Jt5xXN5ZUfbnSvw>